﻿
Imports System
Imports System.Collections
Imports System.Configuration
Imports System.Data
Imports System.Linq
Imports System.Web
Imports System.Web.Security
Imports System.Web.UI
Imports System.Web.UI.HtmlControls
Imports System.Web.UI.WebControls
Imports System.Web.UI.WebControls.WebParts
Imports System.Xml.Linq

Imports DotNetNuke
Imports DotNetNuke.Security
Imports LinqThings4SaleVB
Imports DotNetNuke.Common

Namespace DotNetNuke.Modules.LinqThings4SaleVB
    Partial Public Class Categories
        Inherits DotNetNuke.Entities.Modules.PortalModuleBase

        Protected Sub lnkBack_Click(ByVal sender As Object, ByVal e As EventArgs)
            Response.Redirect(Globals.NavigateURL(), True)
        End Sub

        Protected Sub GridView1_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles GridView1.SelectedIndexChanged
            FormView1.ChangeMode(FormViewMode.Edit)
            FormView1.DataBind()
        End Sub

        Protected Sub FormView1_ItemInserted(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.FormViewInsertedEventArgs) Handles FormView1.ItemInserted
            GridView1.DataBind()
        End Sub

        Protected Sub FormView1_ItemUpdated(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.FormViewUpdatedEventArgs) Handles FormView1.ItemUpdated
            FormView1.ChangeMode(FormViewMode.Insert)
            GridView1.DataBind()
        End Sub

        Protected Sub FormView1_ItemDeleted(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.FormViewDeletedEventArgs) Handles FormView1.ItemDeleted
            FormView1.ChangeMode(FormViewMode.Insert)
            GridView1.DataBind()
        End Sub

        Protected Sub LinqDataSource1_Selecting(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.LinqDataSourceSelectEventArgs) Handles LinqDataSource1.Selecting
            Dim objLinqThings4SaleVBDataContext As LinqThings4SaleVBDataContext = New LinqThings4SaleVBDataContext()

            Dim Things4Sale = From T In objLinqThings4SaleVBDataContext.ThingsForSale_Categories _
                              Select _
                                  ID = T.ID, _
                                  Category = T.Category, _
                                  Count = (From cat In objLinqThings4SaleVBDataContext.ThingsForSales Where cat.Category = T.Category).Count
            e.Result = Things4Sale
        End Sub

        Protected Sub GridView1_RowDeleted(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.GridViewDeletedEventArgs) Handles GridView1.RowDeleted
            If e.Exception IsNot Nothing Then
                Label1.Text = e.Exception.Message
                e.ExceptionHandled = True
            End If
        End Sub
    End Class
End Namespace
