﻿<%@ Control Language="VB" AutoEventWireup="true" CodeFile="EditItem.ascx.vb" Inherits="DotNetNuke.Modules.LinqThings4SaleVB.EditItem" %> 
<asp:Panel ID="pnlBack" HorizontalAlign="Left" runat="server"> 
<asp:LinkButton ID="lnkBack" runat="server" OnClick="lnkBack_Click" 
CausesValidation="False">[Back]</asp:LinkButton> 
</asp:Panel> 
<asp:Panel ID="pnlEditItem" HorizontalAlign="Left" runat="server"> 
<asp:LinqDataSource ID="LDSEditItem" runat="server" ContextTypeName="LinqThings4SaleVB.LinqThings4SaleVBDataContext" 
EnableDelete="True" EnableInsert="True" EnableUpdate="True" TableName="ThingsForSales" 
Where="ModuleId == @ModuleId &amp;&amp; ID == @ID" OnInserted="LDSEditItem_Inserted" 
OnInserting="LDSEditItem_Inserting" OnSelecting="LDSEditItem_Selecting" 
OnUpdated="LDSEditItem_Updated" ondeleted="LDSEditItem_Deleted"> 
<WhereParameters> 
<asp:Parameter Name="ModuleId" Type="Int32" /> 
<asp:Parameter Name="ID" Type="Int32" /> 
</WhereParameters> 
</asp:LinqDataSource> 
<asp:LinqDataSource ID="LDSCategories" runat="server" ContextTypeName="LinqThings4SaleVB.LinqThings4SaleVBDataContext" 
TableName="ThingsForSale_Categories" OrderBy="Category"> 
</asp:LinqDataSource> 
<br /> 
<asp:FormView ID="FVItem" runat="server" DataKeyNames="ID" DataSourceID="LDSEditItem" 
DefaultMode="Insert"> 
<EditItemTemplate> 
Category: 
<asp:DropDownList ID="DropDownList1" runat="server" DataSourceID="LDSCategories" 
DataTextField="Category" DataValueField="Category" SelectedValue='<%# Bind("Category") %>'> 
<asp:ListItem>Home</asp:ListItem> 
</asp:DropDownList> 
&nbsp; Price: $ 
<asp:TextBox ID="PriceTextBox" runat="server" CausesValidation="True" EnableViewState="False" 
Text='<%# Bind("Price") %>' Width="56px"></asp:TextBox> 
<br /> 
<asp:RangeValidator ID="RangeValidator1" runat="server" ControlToValidate="PriceTextBox" 
ErrorMessage="Price must be greater than 0" MaximumValue="99999" MinimumValue="1"></asp:RangeValidator> 
<asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="PriceTextBox" 
ErrorMessage="A price is required"></asp:RequiredFieldValidator> 
<br /> 
Description:<br /> 
<asp:TextBox ID="DescriptionTextBox" runat="server" EnableViewState="False" MaxLength="499" 
Text='<%# Bind("Description") %>' TextMode="MultiLine" Width="286px"></asp:TextBox> 
<br /> 
<asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="DescriptionTextBox" 
ErrorMessage="Description is required."></asp:RequiredFieldValidator> 
<br /> 
<asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update" 
Text="Update" /> 
&nbsp;<asp:LinkButton ID="UpdateDeleteButton" runat="server" CausesValidation="False" 
CommandName="Delete" OnClientClick="return confirm('Are you certain you want to delete ?');" 
Text="Delete" /> 
&nbsp;<asp:LinkButton ID="UpdateCancelButton" runat="server" CausesValidation="False" 
CommandName="Cancel" Text="Cancel" onclick="UpdateCancelButton_Click" /> 
</EditItemTemplate> 
<InsertItemTemplate> 
Category: 
<asp:DropDownList ID="DropDownList2" runat="server" DataSource='<%# Bind("Category") %>' 
DataSourceID="LDSCategories" DataTextField="Category" DataValueField="Category" 
SelectedValue='<%# Bind("Category") %>'> 
<asp:ListItem>Home</asp:ListItem> 
</asp:DropDownList> 
&nbsp; Price: $ 
<asp:TextBox ID="PriceTextBox" runat="server" CausesValidation="True" EnableViewState="False" 
Text='<%# Bind("Price") %>' Width="56px"></asp:TextBox> 
<br /> 
<asp:RangeValidator ID="RangeValidator2" runat="server" ControlToValidate="PriceTextBox" 
ErrorMessage="Price must be greater than 0" MaximumValue="99999" MinimumValue="1"></asp:RangeValidator> 
<asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="PriceTextBox" 
ErrorMessage="A price is required"></asp:RequiredFieldValidator> 
<br /> 
Description:<br /> 
<asp:TextBox ID="DescriptionTextBox" runat="server" EnableViewState="False" MaxLength="499" 
Text='<%# Bind("Description") %>' TextMode="MultiLine" Width="286px"></asp:TextBox> 
<br /> 
<asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ControlToValidate="DescriptionTextBox" 
ErrorMessage="Description is required."></asp:RequiredFieldValidator> 
<br /> 
<asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" CommandName="Insert" 
Text="Insert"></asp:LinkButton> 
&nbsp;<asp:LinkButton ID="InsertCancelButton" runat="server" CausesValidation="False" CommandName="Cancel" 
OnClick="InsertCancelButton_Click" Text="Cancel"></asp:LinkButton> 
</InsertItemTemplate> 
</asp:FormView> 
<br /> 
</asp:Panel> 